# Cursor Auth Client (Go版本)

这是Cursor认证系统的Go语言客户端实现。

## 功能特性

- 现代化的GUI界面
- 卡片激活功能
- 自动保存认证信息
- 跨平台支持 (Windows, macOS, Linux)

## 依赖要求

- Go 1.16+
- SQLite3
- Fyne GUI框架

## 构建说明

1. 安装依赖：
```bash
go mod tidy
```

2. 构建程序：
```bash
go build
```

3. 运行程序：
```bash
./cursor-auth-client
```

## 目录结构

```
.
├── main.go              # 主程序入口
├── cursor_auth/         # 认证相关代码
│   └── auth.go         # 认证管理器
├── assets/             # 资源文件
│   └── icon.ico        # 程序图标
└── README.md           # 说明文档
```

## 许可证

MIT License 